WordPress.org

Support

Support » Plugins and Hacks » new auto update for plugins not working

new auto update for plugins not working

  • Auto update for Akismet 2.02 pulls this error message: Fatal error: Cannot redeclare class pclzip in /home/savoring/public_html/wordpress/wp-admin/includes/class-pclzip.php on line 162

    Is this something I can fix?

Viewing 15 replies - 1 through 15 (of 42 total)
  • I’m getting the same sort of error:

    Fatal error: Cannot redeclare pclziputilpathreduction() (previously declared in /home/edutecha/public_html/wp-content/plugins/wordpress-automatic-upgrade/lib/pclzip.lib.php:5421) in /home/edutecha/public_html/wp-admin/includes/class-pclzip.php on line 5489

    The rest of 2.5 is running fine. Is this a bug or is it a problem in my wordpress?

    Strange, mine was working just great.

    All of my plugins are doing this with the auto-update in 2.5

    I’m just getting a blank page when I try to update plugins. I can see the menus and the header of the Dashboard but the rest is blank.

    Those recieving the “Fatal error: Cannot redeclare class pclzip in” error will find its due to a plugin, most likely the “WordPress Automatic Upgrade” plugin.

    Disable WPAU and see if you can complete the upgrade.

    I believe theres an updated version of WPAU available for install too.

    Cheers,
    Dion

    I deactivated the WPAU plugin and now I have this:

    Downloading update from http://downloads.wordpress.org/plugin/stats.1.2.zip

    Unpacking the update

    Could not create directory

    Looks like some missing rights.

    Disabling WP Automatic Update did it for me. All the plugins updated. I am dancing the “hallelujah” dance of relief. Funny that I had to disable WPAU to do the update to WPAU, but that worked, too. Once I updated everything, my NextGen gallery started working again, ending hours of frustration.

    Thank you to dd32!!!

    Yep, if you also update the WPAU from .80 to it’s new 1.0 everything works great….Thanks to everyone for their input!

    I tried CHMOD-ing the plugins directory to 777 but it still didn’t do the work.

    Disabling WPAU worked for me. Thanks! 🙂

    I’m also getting the following errors on all auto updates of plugins (even after disabling WPAU)

    Downloading update from http://downloads.wordpress.org/plugin/robots-meta.2.9.5.zip

    Unpacking the update

    Removing the old version of the plugin

    Could not remove the old plugin

    Any ideas guys?

    I’m receiving the same error as wildjokers:

    Removing the old version of the plugin
    
    Could not remove the old plugin

    I’ve removed the WPAU too

    Looks like there’s more to what I’m having.

    Guys, any suggestions please?

    Still no fix for this yet? I’ve tried virtually everything now. Where’s the Guru’s?

Viewing 15 replies - 1 through 15 (of 42 total)
  • The topic ‘new auto update for plugins not working’ is closed to new replies.